OtherSigningCertificate (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ess

## Class OtherSigningCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ess.OtherSigningCertificate

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OtherSigningCertificate
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OtherSigningCertificate(OtherCertID otherCertID)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OtherCertID[]` | `getCerts()`
    `static OtherSigningCertificate` | `getInstance(java.lang.Object o)`
    `PolicyInformation[]` | `getPolicies()`
    `ASN1Primitive` | `toASN1Primitive()` The definition of OtherSigningCertificate is OtherSigningCertificate ::= SEQUENCE { certs SEQUENCE OF OtherCertID, policies SEQUENCE OF PolicyInformation OPTIONAL } id-aa-ets-otherSigCert OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 19 }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OtherSigningCertificate

          public OtherSigningCertificate(OtherCertID otherCertID)

  - ### Method Detail

    - #### getInstance

          public static OtherSigningCertificate getInstance(java.lang.Object o)

    - #### getCerts

          public OtherCertID[] getCerts()

    - #### getPolicies

          public PolicyInformation[] getPolicies()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      The definition of OtherSigningCertificate is

           OtherSigningCertificate ::=  SEQUENCE {
                certs        SEQUENCE OF OtherCertID,
                policies     SEQUENCE OF PolicyInformation OPTIONAL
           }

      id-aa-ets-otherSigCert OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) smime(16) id-aa(2) 19 }
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.